Package be.ehealth.business.mycarenetcommons.v4.mapper

# Class CommonInputMapper

java.lang.Object
be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapper

Direct Known Subclasses:
  `CommonInputMapperImpl`

public abstract class CommonInputMapper extends Object
maps the mycarenet domain object commonInput ( created by mycarenet connector project ), to the jaxb object CommonInputType.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonInputMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdType`
  `doAfterMapping(IdType idType)`
  `NihiiType`
  `doAfterMapping(NihiiType nihiiType)`
  `OriginType`
  `doAfterMapping(OriginType originType)`
  `PackageType`
  `doAfterMapping(PackageType packageType)`
  `abstract AttributeType`
  `map(Attribute input)`
  `abstract CareProviderType`
  `map(CareProvider input)`
  `abstract CommonInputType`
  `map(CommonInput input)`
  `abstract IdType`
  `map(Identification input)`
  `abstract NihiiType`
  `map(Nihii input)`
  `abstract OriginType`
  `map(Origin input)`
  `abstract PartyType`
  `map(Party input)`
  `abstract ReferenceType`
  `map(Reference input)`
  `abstract PackageType`
  `map(PackageInfo input)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonInputMapper

    public CommonInputMapper()

- ## Method Details

  - ### map

    public abstract CommonInputType map(CommonInput input)

  - ### map

    public abstract OriginType map(Origin input)

  - ### map

    public abstract PackageType map(PackageInfo input)

  - ### map

    public abstract CareProviderType map(CareProvider input)

  - ### map

    public abstract NihiiType map(Nihii input)

  - ### map

    public abstract IdType map(Identification input)

  - ### map

    public abstract PartyType map(Party input)

  - ### map

    public abstract ReferenceType map(Reference input)

  - ### map

    public abstract AttributeType map(Attribute input)

  - ### doAfterMapping

    public IdType doAfterMapping(IdType idType)

  - ### doAfterMapping

    public NihiiType doAfterMapping(NihiiType nihiiType)

  - ### doAfterMapping

    public OriginType doAfterMapping(OriginType originType)

  - ### doAfterMapping

    public PackageType doAfterMapping(PackageType packageType)